Get List of Accounts

This endpoint retrieves a list of accounts associated with the authenticated user. It provides detailed information about each account, including customer details, account status, and currency information.

Request

Method: GET
URL: /v1/customers/:customerId/accounts/
Authentication: Requires authentication (see collection variables for keyId and privateKey).

Response

Status Code: 200 OK
Content-Type: application/json

Response Body

Response Description: On a successful request, the server responds with a status code of 200 and a JSON object containing the following structure:

{
    "success": true,
    "data": [
        {
            "id": "9ffa201c-6733-4837-b728-b0ec2bc419bd",
            "customerId": "c709ff4d-d384-4292-9f49-8a4c4f46712b",
            "customer": {
                "isFeeProfileAvailable": true,
                "id": "c709ff4d-d384-4292-9f49-8a4c4f46712b",
                "customerType": "BUSINESS",
                "customerAddressId": "3f3bd526-5a96-4307-ba81-7f3cc0263d41",
                "customerAddress": {
                    "id": "3f3bd526-5a96-4307-ba81-7f3cc0263d41",
                    "line1": "test",
                    "line2": "test",
                    "line3": "line3",
                    "line4": null,
                    "countyState": "testa",
                    "postCode": "1111221",
                    "country": "IND"
                },
                "terms": false,
                "privacyPolicy": false,
                "countryCode": null,
                "accountApplicationStatus": "APPROVED",
                "bankingEnabledAt": "2026-02-12T10:44:55.774Z",
                "accountActivationFeePaid": true,
                "verificationResult": "APPROVED",
                "providerVerificationResult": "PENDING",
                "riskEvaluation": null,
                "riskLevel": null,
                "createdAt": "2026-02-12T10:42:03.644Z",
                "updatedAt": "2026-04-20T10:45:58.120Z",
                "lastLogin": null,
                "feeProfileId": "2eb168ee-5b69-4849-b1c5-765f64584229",
                "Referrals": null,
                "nationalIdNumber": "99999",
                "nationalIdType": "IDENTIFICATION_NUMBER",
                "nationalIdExpiry": null,
                "bankingId": null,
                "CustomerConfigs": [],
                "Location": [],
                "userId": "16194b64-2e44-4ecc-a1fd-09f2ed3a24ef",
                "verificationInfoId": "0cbef633-4e65-4a7a-90e0-2117cd2a8dcb",
                "productActivations": {}
            },
            "accountProvider": "6",
            "onboardingMode": "AUTOMATED",
            "status": "ACTIVE",
            "type": "PERSONAL",
            "externalId": "328",
            "correlationId": "328",
            "currencyId": null,
            "accountCurrencies": [
                {
                    "id": "e2149078-9be5-46f8-9ec1-4c742314a170",
                    "banking_provider_account_id": "328:USDT",
                    "currencyId": "cd6a2c1c-d62c-4ea5-983b-82fae5395b2d",
                    "type": "CRYPTO",
                    "balance": "0",
                    "available": "0",
                    "locked": "0",
                    "cryptoDetailsId": "10f68130-e52d-4a13-bd87-d75a1511b426",
                    "accountId": "9ffa201c-6733-4837-b728-b0ec2bc419bd",
                    "accountDetails": [],
                    "accountDetailsId": null,
                    "cryptoDetails": {
                        "id": "10f68130-e52d-4a13-bd87-d75a1511b426",
                        "networkId": "6a48b281-c3c4-4a78-aa1f-f153d6b5ae71",
                        "walletAddress": "0xAE2Aa32105185B00508fF6f477c3Eb1D75BA8dDa",
                        "label": "USDT wallet for customer c709ff4d-d384-4292-9f49-8a4c4f46712b",
                        "externalWalletId": null,
                        "metadata": {
                            "tag": null,
                            "legacyAddress": null,
                            "fireblocksAssetId": "USDT",
                            "fireblocksVaultId": "328"
                        },
                        "createdAt": "2026-02-12T10:46:18.538Z",
                        "updatedAt": "2026-02-12T10:46:18.538Z",
                        "network": {
                            "id": "6a48b281-c3c4-4a78-aa1f-f153d6b5ae71",
                            "code": "ETH_TEST5",
                            "name": "Ethereum Sepolia (Sandbox)",
                            "chainId": "11155111",
                            "nativeCurrency": "ETH",
                            "isTestnet": true,
                            "enabled": true,
                            "externalId": null,
                            "metadata": null,
                            "createdAt": "2025-11-28T05:18:12.150Z",
                            "updatedAt": "2025-12-03T15:31:48.089Z"
                        }
                    },
                    "currency": {
                        "id": "cd6a2c1c-d62c-4ea5-983b-82fae5395b2d",
                        "currencyCode": "USDT",
                        "currencyName": "Tether",
                        "currencySymbol": "₮",
                        "currencyFlag": "https://statics.xbd.money/images/flags/crypto/usdt.svg",
                        "currencyType": "CRYPTO",
                        "enabled": true,
                        "externalId": null,
                        "fiatDetailsId": "fiat-USDT",
                        "createdAt": "2025-11-13T05:07:36.544Z",
                        "updatedAt": "2025-12-03T15:31:48.205Z",
                        "supportedProducts": [
                            "XBD_POS"
                        ]
                    },
                    "status": "ENABLED",
                    "usageType": "STANDARD",
                    "hideOnUI": false,
                    "createdAt": "2026-02-12T10:46:18.553Z",
                    "updatedAt": "2026-02-12T10:46:18.574Z"
                },
                {
                    "id": "918f488f-d815-429b-86d9-3da06a8c73c1",
                    "banking_provider_account_id": "328:SOL",
                    "currencyId": "99821f22-bd4f-4148-a7f2-748f4e358c95",
                    "type": "CRYPTO",
                    "balance": "0",
                    "available": "0",
                    "locked": "0",
                    "cryptoDetailsId": "822181b5-7a31-42fc-8436-66c67c4ff5f3",
                    "accountId": "9ffa201c-6733-4837-b728-b0ec2bc419bd",
                    "accountDetails": [],
                    "accountDetailsId": null,
                    "cryptoDetails": {
                        "id": "822181b5-7a31-42fc-8436-66c67c4ff5f3",
                        "networkId": "248f0268-ed85-4a7a-a6ea-341b5bd33bde",
                        "walletAddress": "3AUPeQKBu6BL2RkEdgCsTCh1uTTH6TGAHexrEfLjnhu1",
                        "label": "SOL wallet for customer c709ff4d-d384-4292-9f49-8a4c4f46712b",
                        "externalWalletId": null,
                        "metadata": {
                            "tag": null,
                            "legacyAddress": null,
                            "fireblocksAssetId": "SOL",
                            "fireblocksVaultId": "328"
                        },
                        "createdAt": "2026-05-11T13:48:16.937Z",
                        "updatedAt": "2026-05-11T13:48:16.937Z",
                        "network": {
                            "id": "248f0268-ed85-4a7a-a6ea-341b5bd33bde",
                            "code": "SOL_TEST",
                            "name": "Solana Testnet",
                            "chainId": null,
                            "nativeCurrency": "SOL",
                            "isTestnet": true,
                            "enabled": true,
                            "externalId": null,
                            "metadata": null,
                            "createdAt": "2025-11-20T06:48:07.229Z",
                            "updatedAt": "2025-12-03T15:31:48.113Z"
                        }
                    },
                    "currency": {
                        "id": "99821f22-bd4f-4148-a7f2-748f4e358c95",
                        "currencyCode": "SOL",
                        "currencyName": "Solana",
                        "currencySymbol": "SOL",
                        "currencyFlag": "https://statics.xbd.money/images/flags/crypto/sol.svg",
                        "currencyType": "CRYPTO",
                        "enabled": true,
                        "externalId": null,
                        "fiatDetailsId": null,
                        "createdAt": "2025-11-20T06:48:07.278Z",
                        "updatedAt": "2025-12-03T15:31:48.181Z",
                        "supportedProducts": []
                    },
                    "status": "ENABLED",
                    "usageType": "STANDARD",
                    "hideOnUI": false,
                    "createdAt": "2026-05-11T13:48:16.947Z",
                    "updatedAt": "2026-05-11T13:48:16.965Z"
                }
            ],
            "dueAmount": "0",
            "createdAt": "2026-02-12T10:44:30.225Z",
            "updatedAt": "2026-02-12T10:45:28.937Z",
            "beneficiaries": [],
            "internalBeneficiaryId": null,
            "fxOfflineEnabled": false,
            "whitelistingEnabled": false
        },
        {
            "id": "6efa2ae2-ac88-4ccb-9edc-a82a85562f0b",
            "customerId": "c709ff4d-d384-4292-9f49-8a4c4f46712b",
            "customer": {
                "isFeeProfileAvailable": true,
                "id": "c709ff4d-d384-4292-9f49-8a4c4f46712b",
                "customerType": "BUSINESS",
                "customerAddressId": "3f3bd526-5a96-4307-ba81-7f3cc0263d41",
                "customerAddress": {
                    "id": "3f3bd526-5a96-4307-ba81-7f3cc0263d41",
                    "line1": "test",
                    "line2": "test",
                    "line3": "line3",
                    "line4": null,
                    "countyState": "testa",
                    "postCode": "1111221",
                    "country": "IND"
                },
                "terms": false,
                "privacyPolicy": false,
                "countryCode": null,
                "accountApplicationStatus": "APPROVED",
                "bankingEnabledAt": "2026-02-12T10:44:55.774Z",
                "accountActivationFeePaid": true,
                "verificationResult": "APPROVED",
                "providerVerificationResult": "PENDING",
                "riskEvaluation": null,
                "riskLevel": null,
                "createdAt": "2026-02-12T10:42:03.644Z",
                "updatedAt": "2026-04-20T10:45:58.120Z",
                "lastLogin": null,
                "feeProfileId": "2eb168ee-5b69-4849-b1c5-765f64584229",
                "Referrals": null,
                "nationalIdNumber": "99999",
                "nationalIdType": "IDENTIFICATION_NUMBER",
                "nationalIdExpiry": null,
                "bankingId": null,
                "CustomerConfigs": [],
                "Location": [],
                "userId": "16194b64-2e44-4ecc-a1fd-09f2ed3a24ef",
                "verificationInfoId": "0cbef633-4e65-4a7a-90e0-2117cd2a8dcb",
                "productActivations": {}
            },
            "accountProvider": "9",
            "onboardingMode": "AUTOMATED",
            "status": "ACTIVE",
            "type": "PERSONAL",
            "externalId": "relm-otc-trading-wallet-c709ff4d-d384-4292-9f49-8a4c4f46712b",
            "correlationId": null,
            "currencyId": null,
            "accountCurrencies": [
                {
                    "id": "7abadb25-47b1-462e-9323-3c2e1767698b",
                    "banking_provider_account_id": "relm-otc-trading-wallet-c709ff4d-d384-4292-9f49-8a4c4f46712b:AED",
                    "currencyId": "0ff5db18-ad57-4703-a031-08907aa814f1",
                    "type": "FIAT",
                    "balance": "2",
                    "available": "10",
                    "locked": "-8",
                    "cryptoDetailsId": null,
                    "accountId": "6efa2ae2-ac88-4ccb-9edc-a82a85562f0b",
                    "accountDetails": [
                        {
                            "payment_types": [],
                            "id": "269d787b-1711-4880-94dd-49d7994499f7",
                            "IBAN": null,
                            "bic_swift_code": null,
                            "correspondent_bic": null,
                            "beneficiary": null,
                            "sort_code": null,
                            "routing_number": null,
                            "account_number": null,
                            "account_name": "AED Trading Wallet",
                            "payment_qr": null,
                            "pix_key": null,
                            "bank_name": null,
                            "transfer_key": null,
                            "clabe": null,
                            "addressId": null
                        }
                    ],
                    "accountDetailsId": "269d787b-1711-4880-94dd-49d7994499f7",
                    "currency": {
                        "id": "0ff5db18-ad57-4703-a031-08907aa814f1",
                        "currencyCode": "AED",
                        "currencyName": null,
                        "currencySymbol": "د.إ",
                        "currencyFlag": "https://statics.xbd.money/images/flags/aed.png",
                        "currencyType": "FIAT",
                        "enabled": true,
                        "externalId": null,
                        "fiatDetailsId": "fiat-AED",
                        "createdAt": "2025-07-08T05:15:22.312Z",
                        "updatedAt": "2025-12-03T15:31:47.513Z",
                        "supportedProducts": [
                            "XBD_POS"
                        ]
                    },
                    "status": "ENABLED",
                    "usageType": "STANDARD",
                    "hideOnUI": false,
                    "createdAt": "2026-02-12T10:50:05.177Z",
                    "updatedAt": "2026-05-14T11:30:40.569Z"
                },
                {
                    "id": "b4e3b228-1dad-4665-a226-f1c3d34a4b61",
                    "banking_provider_account_id": "relm-otc-trading-wallet-c709ff4d-d384-4292-9f49-8a4c4f46712b:USDT",
                    "currencyId": "cd6a2c1c-d62c-4ea5-983b-82fae5395b2d",
                    "type": "CRYPTO",
                    "balance": "0",
                    "available": "0",
                    "locked": "0",
                    "cryptoDetailsId": "784aeb59-beea-4332-a0ad-5296de8af312",
                    "accountId": "6efa2ae2-ac88-4ccb-9edc-a82a85562f0b",
                    "accountDetails": [
                        {
                            "payment_types": [],
                            "id": "1428a7bf-7f71-4f8a-98f6-70353c97183d",
                            "IBAN": null,
                            "bic_swift_code": null,
                            "correspondent_bic": null,
                            "beneficiary": null,
                            "sort_code": null,
                            "routing_number": null,
                            "account_number": null,
                            "account_name": "Tether Trading Wallet",
                            "payment_qr": null,
                            "pix_key": null,
                            "bank_name": null,
                            "transfer_key": null,
                            "clabe": null,
                            "addressId": null
                        }
                    ],
                    "accountDetailsId": "1428a7bf-7f71-4f8a-98f6-70353c97183d",
                    "cryptoDetails": {
                        "id": "784aeb59-beea-4332-a0ad-5296de8af312",
                        "networkId": "6a48b281-c3c4-4a78-aa1f-f153d6b5ae71",
                        "walletAddress": "relm-otc-trading-wallet-0xAE2Aa32105185B00508fF6f477c3Eb1D75BA8dDa",
                        "label": "USDT wallet for customer c709ff4d-d384-4292-9f49-8a4c4f46712b",
                        "externalWalletId": null,
                        "metadata": null,
                        "createdAt": "2026-02-12T10:50:05.206Z",
                        "updatedAt": "2026-02-12T10:50:05.206Z",
                        "network": {
                            "id": "6a48b281-c3c4-4a78-aa1f-f153d6b5ae71",
                            "code": "ETH_TEST5",
                            "name": "Ethereum Sepolia (Sandbox)",
                            "chainId": "11155111",
                            "nativeCurrency": "ETH",
                            "isTestnet": true,
                            "enabled": true,
                            "externalId": null,
                            "metadata": null,
                            "createdAt": "2025-11-28T05:18:12.150Z",
                            "updatedAt": "2025-12-03T15:31:48.089Z"
                        }
                    },
                    "currency": {
                        "id": "cd6a2c1c-d62c-4ea5-983b-82fae5395b2d",
                        "currencyCode": "USDT",
                        "currencyName": "Tether",
                        "currencySymbol": "₮",
                        "currencyFlag": "https://statics.xbd.money/images/flags/crypto/usdt.svg",
                        "currencyType": "CRYPTO",
                        "enabled": true,
                        "externalId": null,
                        "fiatDetailsId": "fiat-USDT",
                        "createdAt": "2025-11-13T05:07:36.544Z",
                        "updatedAt": "2025-12-03T15:31:48.205Z",
                        "supportedProducts": [
                            "XBD_POS"
                        ]
                    },
                    "status": "ENABLED",
                    "usageType": "STANDARD",
                    "hideOnUI": false,
                    "createdAt": "2026-02-12T10:50:05.225Z",
                    "updatedAt": "2026-02-12T10:50:05.225Z"
                },
                {
                    "id": "fb54b58d-f8dc-40c9-a930-e05535bb5e71",
                    "banking_provider_account_id": "relm-otc-trading-wallet-c709ff4d-d384-4292-9f49-8a4c4f46712b:PKR",
                    "currencyId": "e557e94f-5872-4ad4-901e-c6ce7670d6f3",
                    "type": "FIAT",
                    "balance": "0",
                    "available": "0",
                    "locked": "0",
                    "cryptoDetailsId": null,
                    "accountId": "6efa2ae2-ac88-4ccb-9edc-a82a85562f0b",
                    "accountDetails": [
                        {
                            "payment_types": [],
                            "id": "bab9be9b-99a4-4cde-acae-0b6106e03b8f",
                            "IBAN": null,
                            "bic_swift_code": null,
                            "correspondent_bic": null,
                            "beneficiary": null,
                            "sort_code": null,
                            "routing_number": null,
                            "account_number": null,
                            "account_name": "PKR Trading Wallet",
                            "payment_qr": null,
                            "pix_key": null,
                            "bank_name": null,
                            "transfer_key": null,
                            "clabe": null,
                            "addressId": null
                        }
                    ],
                    "accountDetailsId": "bab9be9b-99a4-4cde-acae-0b6106e03b8f",
                    "currency": {
                        "id": "e557e94f-5872-4ad4-901e-c6ce7670d6f3",
                        "currencyCode": "PKR",
                        "currencyName": null,
                        "currencySymbol": "₨",
                        "currencyFlag": "https://statics.xbd.money/images/flags/pkr.png",
                        "currencyType": "FIAT",
                        "enabled": true,
                        "externalId": null,
                        "fiatDetailsId": "fiat-PKR",
                        "createdAt": "2025-07-08T05:15:22.312Z",
                        "updatedAt": "2025-12-03T15:31:47.905Z",
                        "supportedProducts": []
                    },
                    "status": "ENABLED",
                    "usageType": "STANDARD",
                    "hideOnUI": false,
                    "createdAt": "2026-03-27T06:16:52.673Z",
                    "updatedAt": "2026-03-27T06:16:52.673Z"
                },
                {
                    "id": "e9887560-f785-458a-9eb2-73c0b9e8c5f4",
                    "banking_provider_account_id": "relm-otc-trading-wallet-c709ff4d-d384-4292-9f49-8a4c4f46712b:USD",
                    "currencyId": "9110cbef-78e4-485a-b3f8-27e6b51b83c3",
                    "type": "FIAT",
                    "balance": "0",
                    "available": "0",
                    "locked": "0",
                    "cryptoDetailsId": null,
                    "accountId": "6efa2ae2-ac88-4ccb-9edc-a82a85562f0b",
                    "accountDetails": [
                        {
                            "payment_types": [],
                            "id": "d3237158-0f4d-433b-a332-ea23f76e84e4",
                            "IBAN": null,
                            "bic_swift_code": null,
                            "correspondent_bic": null,
                            "beneficiary": null,
                            "sort_code": null,
                            "routing_number": null,
                            "account_number": null,
                            "account_name": "USD Trading Wallet",
                            "payment_qr": null,
                            "pix_key": null,
                            "bank_name": null,
                            "transfer_key": null,
                            "clabe": null,
                            "addressId": null
                        }
                    ],
                    "accountDetailsId": "d3237158-0f4d-433b-a332-ea23f76e84e4",
                    "currency": {
                        "id": "9110cbef-78e4-485a-b3f8-27e6b51b83c3",
                        "currencyCode": "USD",
                        "currencyName": null,
                        "currencySymbol": "$",
                        "currencyFlag": "https://statics.xbd.money/images/flags/usd.png",
                        "currencyType": "FIAT",
                        "enabled": true,
                        "externalId": null,
                        "fiatDetailsId": "fiat-USD",
                        "createdAt": "2025-07-08T05:15:22.312Z",
                        "updatedAt": "2025-12-03T15:31:47.532Z",
                        "supportedProducts": [
                            "XBD_POS"
                        ]
                    },
                    "status": "ENABLED",
                    "usageType": "STANDARD",
                    "hideOnUI": false,
                    "createdAt": "2026-03-27T11:26:45.622Z",
                    "updatedAt": "2026-03-27T11:26:45.622Z"
                }
            ],
            "metadata": {
                "fundingProvider": {
                    "AED": "FUSE",
                    "PKR": "MCB",
                    "USD": "FUSE",
                    "USDT": "FIREBLOCKS"
                }
            },
            "dueAmount": "0",
            "createdAt": "2026-02-12T10:50:05.114Z",
            "updatedAt": "2026-03-27T11:26:45.637Z",
            "beneficiaries": [],
            "internalBeneficiaryId": null,
            "fxOfflineEnabled": false,
            "whitelistingEnabled": false
        },
        {
            "id": "0f846c9e-1857-4189-b4dc-3d019f854c34",
            "customerId": "c709ff4d-d384-4292-9f49-8a4c4f46712b",
            "customer": {
                "isFeeProfileAvailable": true,
                "id": "c709ff4d-d384-4292-9f49-8a4c4f46712b",
                "customerType": "BUSINESS",
                "customerAddressId": "3f3bd526-5a96-4307-ba81-7f3cc0263d41",
                "customerAddress": {
                    "id": "3f3bd526-5a96-4307-ba81-7f3cc0263d41",
                    "line1": "test",
                    "line2": "test",
                    "line3": "line3",
                    "line4": null,
                    "countyState": "testa",
                    "postCode": "1111221",
                    "country": "IND"
                },
                "terms": false,
                "privacyPolicy": false,
                "countryCode": null,
                "accountApplicationStatus": "APPROVED",
                "bankingEnabledAt": "2026-02-12T10:44:55.774Z",
                "accountActivationFeePaid": true,
                "verificationResult": "APPROVED",
                "providerVerificationResult": "PENDING",
                "riskEvaluation": null,
                "riskLevel": null,
                "createdAt": "2026-02-12T10:42:03.644Z",
                "updatedAt": "2026-04-20T10:45:58.120Z",
                "lastLogin": null,
                "feeProfileId": "2eb168ee-5b69-4849-b1c5-765f64584229",
                "Referrals": null,
                "nationalIdNumber": "99999",
                "nationalIdType": "IDENTIFICATION_NUMBER",
                "nationalIdExpiry": null,
                "bankingId": null,
                "CustomerConfigs": [],
                "Location": [],
                "userId": "16194b64-2e44-4ecc-a1fd-09f2ed3a24ef",
                "verificationInfoId": "0cbef633-4e65-4a7a-90e0-2117cd2a8dcb",
                "productActivations": {}
            },
            "accountProvider": "11",
            "onboardingMode": "AUTOMATED",
            "status": "ACTIVE",
            "type": "PERSONAL",
            "externalId": "0f846c9e-1857-4189-b4dc-3d019f854c34",
            "correlationId": "0f846c9e-1857-4189-b4dc-3d019f854c34",
            "currencyId": null,
            "accountCurrencies": [
                {
                    "id": "b11f1f9a-6a34-4e98-85f3-15b49f6a6ca4",
                    "banking_provider_account_id": "0f846c9e-1857-4189-b4dc-3d019f854c34",
                    "currencyId": "e557e94f-5872-4ad4-901e-c6ce7670d6f3",
                    "type": "FIAT",
                    "balance": "1040880136.95",
                    "available": "1040934624.95",
                    "locked": "0",
                    "cryptoDetailsId": null,
                    "accountId": "0f846c9e-1857-4189-b4dc-3d019f854c34",
                    "accountDetails": [
                        {
                            "payment_types": [],
                            "id": "16a05a5c-1e18-41d9-bad3-55c905a0fcba",
                            "IBAN": null,
                            "bic_swift_code": null,
                            "correspondent_bic": null,
                            "beneficiary": null,
                            "sort_code": null,
                            "routing_number": null,
                            "account_number": null,
                            "account_name": "MCB PKR Account",
                            "payment_qr": null,
                            "pix_key": null,
                            "bank_name": null,
                            "transfer_key": null,
                            "clabe": null,
                            "addressId": null
                        }
                    ],
                    "accountDetailsId": "16a05a5c-1e18-41d9-bad3-55c905a0fcba",
                    "currency": {
                        "id": "e557e94f-5872-4ad4-901e-c6ce7670d6f3",
                        "currencyCode": "PKR",
                        "currencyName": null,
                        "currencySymbol": "₨",
                        "currencyFlag": "https://statics.xbd.money/images/flags/pkr.png",
                        "currencyType": "FIAT",
                        "enabled": true,
                        "externalId": null,
                        "fiatDetailsId": "fiat-PKR",
                        "createdAt": "2025-07-08T05:15:22.312Z",
                        "updatedAt": "2025-12-03T15:31:47.905Z",
                        "supportedProducts": []
                    },
                    "status": "ENABLED",
                    "usageType": "DEBIT_ONLY",
                    "hideOnUI": true,
                    "createdAt": "2026-03-27T06:16:52.601Z",
                    "updatedAt": "2026-04-29T07:58:17.803Z"
                }
            ],
            "dueAmount": "0",
            "createdAt": "2026-03-27T06:10:33.530Z",
            "updatedAt": "2026-03-27T06:11:17.981Z",
            "beneficiaries": [
                {
                    "id": "9247891a-1c67-4221-a299-9280b95fe627",
                    "recipientId": "6bc32340-3e29-4bf6-898c-4e09aeb9a5af",
                    "externalId": "6bc32340-3e29-4bf6-898c-4e09aeb9a5af",
                    "accountId": "0f846c9e-1857-4189-b4dc-3d019f854c34",
                    "firstName": "Rabia Rehman",
                    "lastName": null,
                    "displayName": "Rabia Rehman",
                    "reference": "ABL",
                    "type": "INDIVIDUAL",
                    "status": "PENDING",
                    "assetType": "FIAT",
                    "iban": "PK34MUCB0092102010088342",
                    "bicSwiftCode": null,
                    "correspondentBic": null,
                    "bankingId": null,
                    "bankingIdType": null,
                    "accountNumber": null,
                    "routingNumber": null,
                    "currencyCode": "PKR",
                    "countryCode": "PK",
                    "bankCountryCode": "PK",
                    "transactionType": "LOCAL",
                    "addressId": null,
                    "address": null,
                    "cryptoWalletAddress": null,
                    "networkId": null,
                    "networkName": null,
                    "email": null,
                    "network": null,
                    "supplierStatus": "PENDING"
                },
                {
                    "id": "899c8d3d-df81-4703-bc57-3b0365fa3bb6",
                    "recipientId": "1b00c9f5-9c12-4973-aea2-d640384cf31e",
                    "externalId": "1b00c9f5-9c12-4973-aea2-d640384cf31e",
                    "accountId": "0f846c9e-1857-4189-b4dc-3d019f854c34",
                    "firstName": "Rabia",
                    "lastName": "Test 1",
                    "displayName": "Rabia Test 1",
                    "reference": "ABL",
                    "type": "INDIVIDUAL",
                    "status": "PENDING",
                    "assetType": "FIAT",
                    "iban": "PK89MUCB0023040561000142",
                    "bicSwiftCode": null,
                    "correspondentBic": null,
                    "bankingId": null,
                    "bankingIdType": null,
                    "accountNumber": null,
                    "routingNumber": null,
                    "currencyCode": "PKR",
                    "countryCode": "PK",
                    "bankCountryCode": "PK",
                    "transactionType": "LOCAL",
                    "addressId": null,
                    "address": null,
                    "cryptoWalletAddress": null,
                    "networkId": null,
                    "networkName": null,
                    "email": null,
                    "network": null,
                    "supplierStatus": "PENDING"
                },
                {
                    "id": "dca63890-eaee-4266-809f-1df23f8f7108",
                    "recipientId": "61d4f640-5793-4c71-ada7-a7b4f8cfc2f9",
                    "externalId": "61d4f640-5793-4c71-ada7-a7b4f8cfc2f9",
                    "accountId": "0f846c9e-1857-4189-b4dc-3d019f854c34",
                    "firstName": "Rabia",
                    "lastName": "Test 2",
                    "displayName": "Rabia Test 2",
                    "reference": "ABL",
                    "type": "BUSINESS",
                    "status": "PENDING",
                    "assetType": "FIAT",
                    "iban": "PK14MUCB0108001010000059",
                    "bicSwiftCode": null,
                    "correspondentBic": null,
                    "bankingId": null,
                    "bankingIdType": null,
                    "accountNumber": null,
                    "routingNumber": null,
                    "currencyCode": "PKR",
                    "countryCode": "PK",
                    "bankCountryCode": "PK",
                    "transactionType": "LOCAL",
                    "addressId": null,
                    "address": null,
                    "cryptoWalletAddress": null,
                    "networkId": null,
                    "networkName": null,
                    "email": null,
                    "network": null,
                    "supplierStatus": "PENDING"
                },
                {
                    "id": "aff8ec60-054a-4d24-8a3b-bdf20faf6072",
                    "recipientId": "ae6a3dc4-d583-4978-b03a-e71693f77514",
                    "externalId": "ae6a3dc4-d583-4978-b03a-e71693f77514",
                    "accountId": "0f846c9e-1857-4189-b4dc-3d019f854c34",
                    "firstName": "Rabia",
                    "lastName": "Test 3",
                    "displayName": "Rabia Test 3",
                    "reference": "ABL",
                    "type": "INDIVIDUAL",
                    "status": "PENDING",
                    "assetType": "FIAT",
                    "iban": "PK96MUCB0108002010000780",
                    "bicSwiftCode": null,
                    "correspondentBic": null,
                    "bankingId": null,
                    "bankingIdType": null,
                    "accountNumber": null,
                    "routingNumber": null,
                    "currencyCode": "PKR",
                    "countryCode": "PK",
                    "bankCountryCode": "PK",
                    "transactionType": "LOCAL",
                    "addressId": null,
                    "address": null,
                    "cryptoWalletAddress": null,
                    "networkId": null,
                    "networkName": null,
                    "email": null,
                    "network": null,
                    "supplierStatus": "PENDING"
                },
                {
                    "id": "e6391d6f-2e85-473f-a753-ac9046c403db",
                    "recipientId": "72996721-d244-46bf-b239-c18282a953b7",
                    "externalId": "72996721-d244-46bf-b239-c18282a953b7",
                    "accountId": "0f846c9e-1857-4189-b4dc-3d019f854c34",
                    "firstName": "test",
                    "lastName": "user",
                    "displayName": "test user",
                    "reference": "test",
                    "type": "INDIVIDUAL",
                    "status": "PENDING",
                    "assetType": "FIAT",
                    "iban": "PK88MUCB0108001010035005",
                    "bicSwiftCode": null,
                    "correspondentBic": null,
                    "bankingId": null,
                    "bankingIdType": null,
                    "accountNumber": null,
                    "routingNumber": null,
                    "currencyCode": "PKR",
                    "countryCode": "PK",
                    "bankCountryCode": "PK",
                    "transactionType": "LOCAL",
                    "addressId": null,
                    "address": null,
                    "cryptoWalletAddress": null,
                    "networkId": null,
                    "networkName": null,
                    "email": null,
                    "network": null,
                    "supplierStatus": "PENDING"
                },
                {
                    "id": "71e630cd-d8d2-4766-bccc-3075eef1924c",
                    "recipientId": "c8d721f1-1b3b-430b-a324-cee06f3d5ecd",
                    "externalId": "c8d721f1-1b3b-430b-a324-cee06f3d5ecd",
                    "accountId": "0f846c9e-1857-4189-b4dc-3d019f854c34",
                    "firstName": "Rabia",
                    "lastName": "Latest",
                    "displayName": "Rabia Latest",
                    "reference": "MCB",
                    "type": "BUSINESS",
                    "status": "PENDING",
                    "assetType": "FIAT",
                    "iban": "PK34MUCB0686034581001901",
                    "bicSwiftCode": null,
                    "correspondentBic": null,
                    "bankingId": null,
                    "bankingIdType": null,
                    "accountNumber": null,
                    "routingNumber": null,
                    "currencyCode": "PKR",
                    "countryCode": "PK",
                    "bankCountryCode": "PK",
                    "transactionType": "LOCAL",
                    "addressId": null,
                    "address": null,
                    "cryptoWalletAddress": null,
                    "networkId": null,
                    "networkName": null,
                    "email": null,
                    "network": null,
                    "supplierStatus": "PENDING"
                },
                {
                    "id": "b723480b-b1d8-4bc2-9e52-abbf1fc8b22d",
                    "recipientId": "3a586bc0-3d59-4ee8-bb4f-5f67654cba19",
                    "externalId": "3a586bc0-3d59-4ee8-bb4f-5f67654cba19",
                    "accountId": "0f846c9e-1857-4189-b4dc-3d019f854c34",
                    "firstName": "SHAHEEN",
                    "lastName": "AKHTAR",
                    "displayName": "SHAHEEN AKHTAR",
                    "reference": "ABL",
                    "type": "BUSINESS",
                    "status": "PENDING",
                    "assetType": "FIAT",
                    "iban": "PK34MUCB1047139201007237",
                    "bicSwiftCode": null,
                    "correspondentBic": null,
                    "bankingId": null,
                    "bankingIdType": null,
                    "accountNumber": null,
                    "routingNumber": null,
                    "currencyCode": "PKR",
                    "countryCode": "PK",
                    "bankCountryCode": "PK",
                    "transactionType": "LOCAL",
                    "addressId": null,
                    "address": null,
                    "cryptoWalletAddress": null,
                    "networkId": null,
                    "networkName": null,
                    "email": null,
                    "network": null,
                    "supplierStatus": "PENDING"
                },
                {
                    "id": "864610a5-9d94-4627-8876-cf6174818cc1",
                    "recipientId": "2c303882-9b37-44ad-86b9-980e686e2d0d",
                    "externalId": "2c303882-9b37-44ad-86b9-980e686e2d0d",
                    "accountId": "0f846c9e-1857-4189-b4dc-3d019f854c34",
                    "firstName": "Imran",
                    "lastName": "Rafiq",
                    "displayName": "Imran Rafiq",
                    "reference": "MCB",
                    "type": "BUSINESS",
                    "status": "PENDING",
                    "assetType": "FIAT",
                    "iban": "PK34MUCB0084201010245411",
                    "bicSwiftCode": null,
                    "correspondentBic": null,
                    "bankingId": null,
                    "bankingIdType": null,
                    "accountNumber": null,
                    "routingNumber": null,
                    "currencyCode": "PKR",
                    "countryCode": "PK",
                    "bankCountryCode": "PK",
                    "transactionType": "LOCAL",
                    "addressId": null,
                    "address": null,
                    "cryptoWalletAddress": null,
                    "networkId": null,
                    "networkName": null,
                    "email": null,
                    "network": null,
                    "supplierStatus": "PENDING"
                },
                {
                    "id": "5825f19f-1487-4efd-a863-e7565c45dde6",
                    "recipientId": "4eb6df2e-1f03-40a3-b265-f255172892f4",
                    "externalId": "4eb6df2e-1f03-40a3-b265-f255172892f4",
                    "accountId": "0f846c9e-1857-4189-b4dc-3d019f854c34",
                    "firstName": "Salman",
                    "lastName": "Ashraf",
                    "displayName": "Salman Ashraf",
                    "reference": "ABL",
                    "type": "BUSINESS",
                    "status": "PENDING",
                    "assetType": "FIAT",
                    "iban": "PK34MUCB1398403851003093",
                    "bicSwiftCode": null,
                    "correspondentBic": null,
                    "bankingId": null,
                    "bankingIdType": null,
                    "accountNumber": null,
                    "routingNumber": null,
                    "currencyCode": "PKR",
                    "countryCode": "PK",
                    "bankCountryCode": "PK",
                    "transactionType": "LOCAL",
                    "addressId": null,
                    "address": null,
                    "cryptoWalletAddress": null,
                    "networkId": null,
                    "networkName": null,
                    "email": null,
                    "network": null,
                    "supplierStatus": "PENDING"
                },
                {
                    "id": "255ea203-ad87-4707-b33f-71f0a79aa257",
                    "recipientId": "978dcdc2-a45d-4afa-a8b5-3fc71371ca58",
                    "externalId": "978dcdc2-a45d-4afa-a8b5-3fc71371ca58",
                    "accountId": "0f846c9e-1857-4189-b4dc-3d019f854c34",
                    "firstName": "Yusra",
                    "lastName": "Rehmat",
                    "displayName": "Yusra Rehmat",
                    "reference": "ABL",
                    "type": "BUSINESS",
                    "status": "PENDING",
                    "assetType": "FIAT",
                    "iban": "PK34MUCB1222575391015578",
                    "bicSwiftCode": null,
                    "correspondentBic": null,
                    "bankingId": null,
                    "bankingIdType": null,
                    "accountNumber": null,
                    "routingNumber": null,
                    "currencyCode": "PKR",
                    "countryCode": "PK",
                    "bankCountryCode": "PK",
                    "transactionType": "LOCAL",
                    "addressId": null,
                    "address": null,
                    "cryptoWalletAddress": null,
                    "networkId": null,
                    "networkName": null,
                    "email": null,
                    "network": null,
                    "supplierStatus": "PENDING"
                },
                {
                    "id": "cd361dc3-59a4-4abc-8a23-8695b53e343f",
                    "recipientId": "94d30379-d66e-4eea-ac38-c8c33d3bc436",
                    "externalId": "94d30379-d66e-4eea-ac38-c8c33d3bc436",
                    "accountId": "0f846c9e-1857-4189-b4dc-3d019f854c34",
                    "firstName": "Mohammad",
                    "lastName": "Safiq",
                    "displayName": "Mohammad Safiq",
                    "reference": "ABL",
                    "type": "BUSINESS",
                    "status": "PENDING",
                    "assetType": "FIAT",
                    "iban": "PK41MUCB0092102010088604",
                    "bicSwiftCode": null,
                    "correspondentBic": null,
                    "bankingId": null,
                    "bankingIdType": null,
                    "accountNumber": null,
                    "routingNumber": null,
                    "currencyCode": "PKR",
                    "countryCode": "PK",
                    "bankCountryCode": "PK",
                    "transactionType": "LOCAL",
                    "addressId": null,
                    "address": null,
                    "cryptoWalletAddress": null,
                    "networkId": null,
                    "networkName": null,
                    "email": null,
                    "network": null,
                    "supplierStatus": "PENDING"
                }
            ],
            "internalBeneficiaryId": null,
            "fxOfflineEnabled": false,
            "whitelistingEnabled": false
        },
        {
            "id": "08e9a0c4-322c-4dbc-bbf0-6d065079581b",
            "customerId": "c709ff4d-d384-4292-9f49-8a4c4f46712b",
            "customer": {
                "isFeeProfileAvailable": true,
                "id": "c709ff4d-d384-4292-9f49-8a4c4f46712b",
                "customerType": "BUSINESS",
                "customerAddressId": "3f3bd526-5a96-4307-ba81-7f3cc0263d41",
                "customerAddress": {
                    "id": "3f3bd526-5a96-4307-ba81-7f3cc0263d41",
                    "line1": "test",
                    "line2": "test",
                    "line3": "line3",
                    "line4": null,
                    "countyState": "testa",
                    "postCode": "1111221",
                    "country": "IND"
                },
                "terms": false,
                "privacyPolicy": false,
                "countryCode": null,
                "accountApplicationStatus": "APPROVED",
                "bankingEnabledAt": "2026-02-12T10:44:55.774Z",
                "accountActivationFeePaid": true,
                "verificationResult": "APPROVED",
                "providerVerificationResult": "PENDING",
                "riskEvaluation": null,
                "riskLevel": null,
                "createdAt": "2026-02-12T10:42:03.644Z",
                "updatedAt": "2026-04-20T10:45:58.120Z",
                "lastLogin": null,
                "feeProfileId": "2eb168ee-5b69-4849-b1c5-765f64584229",
                "Referrals": null,
                "nationalIdNumber": "99999",
                "nationalIdType": "IDENTIFICATION_NUMBER",
                "nationalIdExpiry": null,
                "bankingId": null,
                "CustomerConfigs": [],
                "Location": [],
                "userId": "16194b64-2e44-4ecc-a1fd-09f2ed3a24ef",
                "verificationInfoId": "0cbef633-4e65-4a7a-90e0-2117cd2a8dcb",
                "productActivations": {}
            },
            "accountProvider": "4",
            "onboardingMode": "AUTOMATED",
            "status": "ACTIVE",
            "type": "PERSONAL",
            "externalId": "019c5173-e492-7541-bb31-72e03da7a831",
            "correlationId": "019c5173-e492-7541-bb31-72e03da7a831",
            "currencyId": null,
            "accountCurrencies": [
                {
                    "id": "0c499a4e-bc37-438f-a064-99b388ea15d3",
                    "banking_provider_account_id": "019c5173-f871-77a2-8b78-7f0b8dbb5a3f",
                    "currencyId": "0ff5db18-ad57-4703-a031-08907aa814f1",
                    "type": "FIAT",
                    "balance": "31466030128570290",
                    "available": "31466030128570290",
                    "locked": "0",
                    "cryptoDetailsId": null,
                    "accountId": "08e9a0c4-322c-4dbc-bbf0-6d065079581b",
                    "accountDetails": [
                        {
                            "payment_types": [
                                "uae_fts",
                                "uae_ipp"
                            ],
                            "id": "fbd3f06c-d0bc-4fc6-9300-ccf3d326e7a8",
                            "IBAN": "AE496059124894805161444",
                            "bic_swift_code": "SIMAEAAAXXX",
                            "correspondent_bic": null,
                            "beneficiary": null,
                            "sort_code": null,
                            "routing_number": null,
                            "account_number": null,
                            "account_name": "xKicks Sandbox AED",
                            "payment_qr": null,
                            "pix_key": null,
                            "bank_name": null,
                            "transfer_key": null,
                            "clabe": null,
                            "addressId": "64b0d56f-02c8-4eef-a161-21048a98ea04",
                            "address": {
                                "id": "64b0d56f-02c8-4eef-a161-21048a98ea04",
                                "line1": "Simulation Bank",
                                "line2": "Simulation Street",
                                "line3": null,
                                "line4": null,
                                "countyState": null,
                                "postCode": null,
                                "country": "United Arab Emirates"
                            }
                        }
                    ],
                    "accountDetailsId": "fbd3f06c-d0bc-4fc6-9300-ccf3d326e7a8",
                    "currency": {
                        "id": "0ff5db18-ad57-4703-a031-08907aa814f1",
                        "currencyCode": "AED",
                        "currencyName": null,
                        "currencySymbol": "د.إ",
                        "currencyFlag": "https://statics.xbd.money/images/flags/aed.png",
                        "currencyType": "FIAT",
                        "enabled": true,
                        "externalId": null,
                        "fiatDetailsId": "fiat-AED",
                        "createdAt": "2025-07-08T05:15:22.312Z",
                        "updatedAt": "2025-12-03T15:31:47.513Z",
                        "supportedProducts": [
                            "XBD_POS"
                        ]
                    },
                    "status": "ENABLED",
                    "usageType": "STANDARD",
                    "hideOnUI": false,
                    "createdAt": "2026-02-12T10:44:41.106Z",
                    "updatedAt": "2026-04-20T18:02:09.689Z"
                },
                {
                    "id": "f3c5815f-63c2-48ea-8a82-039546d07d5d",
                    "banking_provider_account_id": "019d2f0b-f15c-74c2-adf4-6f3dea325077",
                    "currencyId": "9110cbef-78e4-485a-b3f8-27e6b51b83c3",
                    "type": "FIAT",
                    "balance": "2997906797059.02",
                    "available": "2997906797074.74",
                    "locked": "0",
                    "cryptoDetailsId": null,
                    "accountId": "08e9a0c4-322c-4dbc-bbf0-6d065079581b",
                    "accountDetails": [
                        {
                            "payment_types": [
                                "swift"
                            ],
                            "id": "b4d1e64b-0a19-4f28-9120-c5ad6589efa6",
                            "IBAN": null,
                            "bic_swift_code": "SIMAEAAAXXX",
                            "correspondent_bic": null,
                            "beneficiary": null,
                            "sort_code": null,
                            "routing_number": "759934444",
                            "account_number": "92590021088",
                            "account_name": "xKicks Sandbox USD",
                            "payment_qr": null,
                            "pix_key": null,
                            "bank_name": null,
                            "transfer_key": null,
                            "clabe": null,
                            "addressId": "8d7f0571-2714-4004-9114-0b1baaadeff5",
                            "address": {
                                "id": "8d7f0571-2714-4004-9114-0b1baaadeff5",
                                "line1": "Simulation Bank",
                                "line2": "Simulation Street",
                                "line3": null,
                                "line4": null,
                                "countyState": null,
                                "postCode": null,
                                "country": "United Arab Emirates"
                            }
                        },
                        {
                            "payment_types": [
                                "fedwire"
                            ],
                            "id": "653e912a-2417-4a51-9ba4-2cd1d7a06ae5",
                            "IBAN": null,
                            "bic_swift_code": "SIMAEAAAXXX",
                            "correspondent_bic": "CHASUS33",
                            "beneficiary": null,
                            "sort_code": null,
                            "routing_number": "914499666",
                            "account_number": "00591247518",
                            "account_name": "xKicks Sandbox USD",
                            "payment_qr": null,
                            "pix_key": null,
                            "bank_name": null,
                            "transfer_key": null,
                            "clabe": null,
                            "addressId": null
                        }
                    ],
                    "accountDetailsId": "b4d1e64b-0a19-4f28-9120-c5ad6589efa6",
                    "currency": {
                        "id": "9110cbef-78e4-485a-b3f8-27e6b51b83c3",
                        "currencyCode": "USD",
                        "currencyName": null,
                        "currencySymbol": "$",
                        "currencyFlag": "https://statics.xbd.money/images/flags/usd.png",
                        "currencyType": "FIAT",
                        "enabled": true,
                        "externalId": null,
                        "fiatDetailsId": "fiat-USD",
                        "createdAt": "2025-07-08T05:15:22.312Z",
                        "updatedAt": "2025-12-03T15:31:47.532Z",
                        "supportedProducts": [
                            "XBD_POS"
                        ]
                    },
                    "status": "ENABLED",
                    "usageType": "STANDARD",
                    "hideOnUI": false,
                    "createdAt": "2026-03-27T11:26:45.522Z",
                    "updatedAt": "2026-05-19T09:58:02.943Z"
                },
                {
                    "id": "e3373550-fc66-44f8-be4a-17e739be409e",
                    "banking_provider_account_id": "019d62d3-208f-75e3-af0c-3aab7e8e901c",
                    "currencyId": "561ddd4b-3016-4ef1-8db0-1d3ac8ff4d96",
                    "type": "FIAT",
                    "balance": "0",
                    "available": "0",
                    "locked": "0",
                    "cryptoDetailsId": null,
                    "accountId": "08e9a0c4-322c-4dbc-bbf0-6d065079581b",
                    "accountDetails": [
                        {
                            "payment_types": [
                                "faster_payments"
                            ],
                            "id": "a0968c92-fb62-41e6-8a54-1afbd81412d5",
                            "IBAN": "GB33PESF52825013275273",
                            "bic_swift_code": "",
                            "correspondent_bic": null,
                            "beneficiary": null,
                            "sort_code": "",
                            "routing_number": null,
                            "account_number": "",
                            "account_name": "xKciks Sandbox GBP",
                            "payment_qr": null,
                            "pix_key": null,
                            "bank_name": null,
                            "transfer_key": null,
                            "clabe": null,
                            "addressId": "00ddc406-5e3e-4c6b-8a15-70f3b51386dd",
                            "address": {
                                "id": "00ddc406-5e3e-4c6b-8a15-70f3b51386dd",
                                "line1": "",
                                "line2": "",
                                "line3": "",
                                "line4": null,
                                "countyState": "",
                                "postCode": "",
                                "country": ""
                            }
                        }
                    ],
                    "accountDetailsId": "a0968c92-fb62-41e6-8a54-1afbd81412d5",
                    "currency": {
                        "id": "561ddd4b-3016-4ef1-8db0-1d3ac8ff4d96",
                        "currencyCode": "GBP",
                        "currencyName": null,
                        "currencySymbol": "£",
                        "currencyFlag": "https://statics.xbd.money/images/flags/gbp.png",
                        "currencyType": "FIAT",
                        "enabled": true,
                        "externalId": null,
                        "fiatDetailsId": "fiat-GBP",
                        "createdAt": "2025-07-08T05:15:22.312Z",
                        "updatedAt": "2025-12-03T15:31:47.778Z",
                        "supportedProducts": [
                            "XBD_POS"
                        ]
                    },
                    "status": "ENABLED",
                    "usageType": "STANDARD",
                    "hideOnUI": false,
                    "createdAt": "2026-04-06T14:09:04.108Z",
                    "updatedAt": "2026-04-20T18:02:09.734Z"
                },
                {
                    "id": "0562b14a-4ae3-408f-ab6f-049989c45ae9",
                    "banking_provider_account_id": "019d62d3-8981-7020-a4aa-99b1c4074230",
                    "currencyId": "9430e0a4-6345-4561-9753-761f8ca608e0",
                    "type": "FIAT",
                    "balance": "0",
                    "available": "0",
                    "locked": "0",
                    "cryptoDetailsId": null,
                    "accountId": "08e9a0c4-322c-4dbc-bbf0-6d065079581b",
                    "accountDetails": [
                        {
                            "payment_types": [
                                "sepa",
                                "sepa_instant"
                            ],
                            "id": "afe41bea-5d8c-488d-b4b4-d15a8dae385b",
                            "IBAN": "DE19036416086617566202",
                            "bic_swift_code": "",
                            "correspondent_bic": null,
                            "beneficiary": null,
                            "sort_code": "",
                            "routing_number": null,
                            "account_number": "",
                            "account_name": "xkicks Sandbox EUR",
                            "payment_qr": null,
                            "pix_key": null,
                            "bank_name": null,
                            "transfer_key": null,
                            "clabe": null,
                            "addressId": "ed989ad2-7161-4049-a78a-3f786bab5e97",
                            "address": {
                                "id": "ed989ad2-7161-4049-a78a-3f786bab5e97",
                                "line1": "",
                                "line2": "",
                                "line3": "",
                                "line4": null,
                                "countyState": "",
                                "postCode": "",
                                "country": ""
                            }
                        }
                    ],
                    "accountDetailsId": "afe41bea-5d8c-488d-b4b4-d15a8dae385b",
                    "currency": {
                        "id": "9430e0a4-6345-4561-9753-761f8ca608e0",
                        "currencyCode": "EUR",
                        "currencyName": null,
                        "currencySymbol": "€",
                        "currencyFlag": "https://statics.xbd.money/images/flags/eur.png",
                        "currencyType": "FIAT",
                        "enabled": true,
                        "externalId": null,
                        "fiatDetailsId": "fiat-EUR",
                        "createdAt": "2025-07-08T05:15:22.312Z",
                        "updatedAt": "2025-12-03T15:31:47.564Z",
                        "supportedProducts": [
                            "XBD_POS"
                        ]
                    },
                    "status": "ENABLED",
                    "usageType": "STANDARD",
                    "hideOnUI": false,
                    "createdAt": "2026-04-06T14:09:04.173Z",
                    "updatedAt": "2026-04-20T18:02:09.754Z"
                }
            ],
            "metadata": {
                "industryCode": "111140",
                "usdDocumentUploaded": true,
                "usdOnboardCompleted": true,
                "usdOnboardInitiated": true,
                "usdCurrencyExtraUpdated": true
            },
            "dueAmount": "0",
            "createdAt": "2026-02-12T10:44:27.729Z",
            "updatedAt": "2026-03-27T11:26:45.665Z",
            "beneficiaries": [
                {
                    "id": "cd0890fc-37f9-447f-a0b4-b1ed4080b453",
                    "recipientId": "d2fb29f4-4fba-4476-bd0a-2928576f2620",
                    "externalId": "d2fb29f4-4fba-4476-bd0a-2928576f2620",
                    "accountId": "08e9a0c4-322c-4dbc-bbf0-6d065079581b",
                    "firstName": "test PKR",
                    "lastName": null,
                    "displayName": "test PKR",
                    "reference": "test",
                    "type": "BUSINESS",
                    "status": "ACTIVE",
                    "assetType": "FIAT",
                    "iban": "322323",
                    "bicSwiftCode": "4222323",
                    "correspondentBic": null,
                    "bankingId": null,
                    "bankingIdType": null,
                    "accountNumber": null,
                    "routingNumber": null,
                    "currencyCode": "PKR",
                    "countryCode": null,
                    "bankCountryCode": null,
                    "transactionType": "INTERNATIONAL",
                    "addressId": "63d0a664-dd51-4a5a-a61e-30de10ec1b20",
                    "address": {
                        "id": "63d0a664-dd51-4a5a-a61e-30de10ec1b20",
                        "line1": "test",
                        "line2": "test",
                        "line3": "",
                        "line4": null,
                        "countyState": null,
                        "postCode": null,
                        "country": "AE"
                    },
                    "cryptoWalletAddress": null,
                    "networkId": null,
                    "networkName": null,
                    "email": null,
                    "network": null,
                    "supplierStatus": "ACTIVE"
                },
                {
                    "id": "73340531-b055-48ba-a336-bef3bf02c1f7",
                    "recipientId": "8f81854e-e22c-48a6-85bb-e5a0abef42b2",
                    "externalId": "8f81854e-e22c-48a6-85bb-e5a0abef42b2",
                    "accountId": "08e9a0c4-322c-4dbc-bbf0-6d065079581b",
                    "firstName": "cds",
                    "lastName": null,
                    "displayName": "cds",
                    "reference": "cds",
                    "type": "INDIVIDUAL",
                    "status": "ACTIVE",
                    "assetType": "FIAT",
                    "iban": "CDSC",
                    "bicSwiftCode": "CDS",
                    "correspondentBic": null,
                    "bankingId": null,
                    "bankingIdType": null,
                    "accountNumber": null,
                    "routingNumber": null,
                    "currencyCode": "USD",
                    "countryCode": null,
                    "bankCountryCode": null,
                    "transactionType": "INTERNATIONAL",
                    "addressId": "93f77516-e7c7-4673-b895-ca975a0a6bab",
                    "address": {
                        "id": "93f77516-e7c7-4673-b895-ca975a0a6bab",
                        "line1": "cds",
                        "line2": "cds",
                        "line3": "",
                        "line4": null,
                        "countyState": null,
                        "postCode": null,
                        "country": "AD"
                    },
                    "cryptoWalletAddress": null,
                    "networkId": null,
                    "networkName": null,
                    "email": null,
                    "network": null,
                    "supplierStatus": "ACTIVE"
                }
            ],
            "internalBeneficiaryId": null,
            "fxOfflineEnabled": false,
            "whitelistingEnabled": false
        }
    ]
}

Each object in the array represents an account and includes:

  • id: The unique identifier for the account.
  • customerId: The unique identifier for the customer.
  • customer: An object containing detailed customer information:
    • id: The unique identifier for the customer.
    • customerType: The type of customer (e.g., "BUSINESS").
    • customerAddress: An object containing address details (line1, postCode, country, etc.).
    • accountApplicationStatus: The status of the customer’s account application.
    • verificationResult: The result of the customer verification process.
    • providerVerificationResult: The verification result from the provider.
    • bankingEnabledAt: Timestamp when banking was enabled.
    • createdAt, updatedAt: Timestamps for customer record.
    • userId: Associated user ID.
  • accountProvider: The provider of the account (e.g., "FUSE", "FIREBLOCKS").
  • onboardingMode: The mode of onboarding (e.g., "AUTOMATED").
  • status: The current status of the account (e.g., "ACTIVE").
  • type: The type of account (e.g., "PERSONAL").
  • externalId: An external reference ID for the account.
  • correlationId: A correlation ID for tracking.
  • currencyId: The ID of the base currency (can be null).
  • baseCurrency: An object containing base currency details (can be null for crypto accounts).
  • accountCurrencies: An array of objects, each representing a currency wallet associated with the account. Each item includes:
    • id: Unique identifier for the account currency.
    • type: The type of currency ("FIAT" or "CRYPTO").
    • balance: Current balance.
    • available: Available balance.
    • locked: Locked balance.
    • accountDetails: (For FIAT) An array containing banking details:
      • IBAN, bic_swift_code, routing_number, account_number, account_name.
    • cryptoDetails: (For CRYPTO) An object containing wallet details:
      • walletAddress, network details, label.
    • currency: Detailed currency information (currencyCode, currencySymbol, currencyType, etc.).
  • metadata: Additional metadata associated with the account.
  • dueAmount: Any amount due on the account.
  • beneficiaries: An array of beneficiaries associated with the account.
  • createdAt: The timestamp when the account was created.
  • updatedAt: The timestamp of the last update to the account.

Copyright © 2025 Relm